Issue1215

classification
Title: extra spaces in import statement break importing
Type: behaviour Severity: major
Components: Core Versions: 2.5b1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: doublep, fwierzbicki, zyasoft
Priority: urgent Keywords:

Created on 2008-12-29.14:47:47 by doublep, last changed 2009-08-09.02:57:11 by fwierzbicki.

Messages
msg3983 (view) Author: (doublep) Date: 2008-12-29.14:47:47
Jython 2.5:

>>> from os. path import abspath
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: No module named  path

CPython:
>>> from os. path import abspath
>>> abspath
<function abspath at 0xb7ff38b4>

Setting to major because is utterly confusing about what's wrong.
msg3985 (view) Author: (doublep) Date: 2008-12-29.15:02:48
In fact that's 2.5b0, not 2.5.1.  But please test the latest version.
msg4087 (view) Author: (doublep) Date: 2009-01-27.11:50:45
Ping.
msg4234 (view) Author: Jim Baker (zyasoft) Date: 2009-03-12.07:52:58
Still applies to the parser in 2.5b3.
msg4248 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2009-03-12.13:18:43
Annoyed that CPython allows this -- but given that it does, this is a
nasty incompatibility :(
msg4253 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2009-03-13.01:34:21
Fixed in r6094
msg4487 (view) Author: (doublep) Date: 2009-04-08.14:03:16
Well, from my point of view dots in package name separate tokens, and
between tokens spaces are always allowed (and ignored).  Not sure what
you are annoyed about ;)
msg5012 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2009-08-09.02:57:11
doublep: I was probably annoyed because my 2.5.0 todo list was too long :)
History
Date User Action Args
2009-08-09 02:57:11fwierzbickisetmessages: + msg5012
2009-04-08 14:03:17doublepsetmessages: + msg4487
2009-03-13 01:34:21fwierzbickisetstatus: open -> closed
resolution: accepted -> fixed
messages: + msg4253
2009-03-12 13:18:43fwierzbickisetpriority: urgent
assignee: fwierzbicki
resolution: accepted
messages: + msg4248
2009-03-12 07:52:58zyasoftsetnosy: + fwierzbicki, zyasoft
messages: + msg4234
2009-01-27 11:50:45doublepsetmessages: + msg4087
versions: + 2.5b1, - 2.5b0
2008-12-29 15:02:48doublepsetmessages: + msg3985
versions: + 2.5b0, - 2.5.1
2008-12-29 14:47:47doublepcreate